summaryrefslogtreecommitdiff
path: root/app-pda/gtkpod
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /app-pda/gtkpod
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'app-pda/gtkpod')
-rw-r--r--app-pda/gtkpod/gtkpod-9999.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/app-pda/gtkpod/gtkpod-9999.ebuild b/app-pda/gtkpod/gtkpod-9999.ebuild
new file mode 100644
index 0000000..6271210
--- /dev/null
+++ b/app-pda/gtkpod/gtkpod-9999.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-pda/gtkpod/gtkpod-0.99.12.ebuild,v 1.4 2008/08/17 16:22:27 maekke Exp $
+
+inherit eutils subversion
+
+DESCRIPTION="GUI for iPod using GTK2"
+HOMEPAGE="http://gtkpod.sourceforge.net/"
+SRC_URI=""
+
+ESVN_REPO_URI="https://gtkpod.svn.sourceforge.net/svnroot/gtkpod/gtkpod/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 ~sparc x86"
+IUSE="aac flac gnome hal ogg"
+
+DEPEND=">=x11-libs/gtk+-2.6.0
+ >=media-libs/libid3tag-0.15
+ >=gnome-base/libglade-2.4
+ >=gnome-base/libgnomecanvas-2.14
+ >=media-libs/libgpod-0.6.0
+ >=net-misc/curl-7.10
+ gnome? ( >=gnome-base/gnome-vfs-2.6 )
+ hal? ( =sys-apps/hal-0.5* )
+ aac? ( media-libs/libmp4v2 )
+ ogg? ( media-libs/libvorbis )
+ flac? ( media-libs/flac )"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+ # Disable aac forcefully if not enabled
+ use aac || sed -i -e s/MP4FileInfo/MP4FileInfoDisabled/g "${S}"/configure
+}
+
+src_compile() {
+ econf \
+ $(use_with hal) \
+ $(use_with aac mp4v2) \
+ $(use_with ogg) \
+ $(use_with flac) \
+ $(use_with gnome gnome-vfs ) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ make install DESTDIR="${D}" || die
+ dodoc README TROUBLESHOOTING
+}